VICE on DietPi 7.8.2 on RPi 2B v1.1? Topic is solved

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
beeltink
Posts: 3
Joined: Wed Nov 24, 2021 11:07 pm

VICE on DietPi 7.8.2 on RPi 2B v1.1?

Post by beeltink »

Hi,

I'm trying to figure out how to install VICE (and particularly the C64-emulator).
So far I keep running into problems related to SDL2. It cannot find nor install the package.
Has anyone been able to install VICE so far and if yes, then how?
User avatar
Joulinar
Posts: 6525
Joined: Sat Nov 16, 2019 12:49 am

Re: VICE on DietPi 7.8.2 on RPi 2B v1.1?

Post by Joulinar »

what is the name of the package you try to install? Usually following should do

Code: Select all

apt install libsdl2-2.0-0
https://wiki.libsdl.org/Installation#linuxunix
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
beeltink
Posts: 3
Joined: Wed Nov 24, 2021 11:07 pm

Re: VICE on DietPi 7.8.2 on RPi 2B v1.1?

Post by beeltink »

Thank you, I'll give it a go and will post any obstacles here.
It would be nice to have VICE as a DietPi package, so that it's easier to install :)
User avatar
Joulinar
Posts: 6525
Joined: Sat Nov 16, 2019 12:49 am

Re: VICE on DietPi 7.8.2 on RPi 2B v1.1?

Post by Joulinar »

hope you are ok that I moved you nice summary into out tutorial section.

viewtopic.php?t=9710
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply